- code: -1
  enum: UnknownError
  content: 未知错误
  solution: |-
    **排查建议**：

- code: 0
  enum: OK
  content: 成功
  solution: |-
    **排查建议**：

- code: 50000
  enum: RongRTCCodeSignalServerNotConnect
  content: 初始化失败或 IM 未连接
  solution: |-
    **排查建议**：

- code: 50001
  enum: RongRTCCodeParameterError
  content: 接口参数错误
  solution: |-
    **排查建议**：

- code: 50002
  enum: RongRTCCodeJoinRepeatedRoom
  content: 加入相同房间错误，表示用户在客户端重复加入相同的房间
  solution: |-
    **排查建议**：

- code: 50003
  enum: RongRTCCodeNotInRoom
  content: 调用房间内接口时，不在房间中
  solution: |-
    **排查建议**：

- code: 50004
  enum: RongRTCCodeVoIPNotAvailable
  content: 未开通音视频服务，请到融云开发者后台开启
  solution: |-
    **排查建议**：

- code: 50006
  enum: RongRTCCodeRTCTokenIsNull
  content: RTC token 为空
  solution: |-
    **排查建议**：

- code: 50007
  enum: ILLEGALSTATE
  content: 非法状态
  solution: |-
    **排查建议**：

- code: 50008
  enum: JOIN_CHAT_ROOM_TIMEOUT
  content: 观众加聊天室成功,kv 回调超时(30s)
  solution: |-
    **排查建议**：

- code: 50009
  enum: JOIN_CHAT_ROOM_INVOKE_IM_FAILED
  content: 加入聊天室反射调用IM接口失败
  solution: |-
    **排查建议**：

- code: 50010
  enum: RongRTCCodeHttpTimeoutError
  content: HTTP 请求超时
  solution: |-
    **排查建议**：

- code: 50011
  enum: RongRTCCodeHttpError
  content: HTTP 响应错误（含 500，404，405 等错误）
  solution: |-
    **排查建议**：

- code: 50012
  enum: RongRTCCodeNetworkUnavailable
  content: 网络不可用
  solution: |-
    **排查建议**：

- code: 50013
  enum: InvalidProtocolMessageError
  content: SDK 内部解析协议消息无效错误
  solution: |-
    **排查建议**：

- code: 50020
  enum: RongRTCCodePublishDuplicateResources
  content: 重复发布资源错误
  solution: |-
    **排查建议**：

- code: 50021
  enum: RongRTCCodeSessionNegotiateOfferError
  content: 本地会话协商错误
  solution: |-
    **排查建议**：

- code: 50022
  enum: RongRTCCodeSessionNegotiateSetRemoteError
  content: 远端会话协商错误
  solution: |-
    **排查建议**：

- code: 50023
  enum: RongRTCCodePublishStreamsHasReachedMaxCount
  content: 发布的流的个数已经到达上限
  solution: |-
    **排查建议**：

- code: 50024
  enum: RongRTCCodeUnpublishNotExistStream
  content: 取消发布不存在的资源
  solution: |-
    **排查建议**：



- code: 50027
  enum: INCOMPATIBLE_WITH_PRIVATE_SERVER
  content: 公有云 SDK 不能访问私有云服务
  solution: |-
    **排查建议**：

- code: 50028
  enum: RCRTCCodeProxyUnavailableError
  content: 无法使用设置的代理服务转发资源
  solution: |-
    **排查建议**：

- code: 50030
  enum: RongRTCCodeSubscribeNotExistResources
  content: 订阅不存在的资源
  solution: |-
    **排查建议**：

- code: 50031
  enum: RongRTCCodeSubscribeDuplicateResources
  content: 资源重复订阅
  solution: |-
    **排查建议**：

- code: 50032
  enum: RongRTCCodeUnsubscribeNotExistResources
  content: 取消订阅不存在的资源
  solution: |-
    **排查建议**：

- code: 50033
  enum: LIVEURLNOTINCURRENTROOM
  content: 当前房间不存在这个 liveUrl
  solution: |-
    **排查建议**：

- code: 50065
  enum: RongRTCCodeRTCConnectionIsNull
  content: 当前PeerConnection连接不可用
  solution: |-
    **排查建议**：

- code: 50066
  enum: PublishMediaStreamIsNull
  content: 发布的 Stream 为空
  solution: |-
    **排查建议**：

- code: 50069
  enum: JsonParseError
  content: 解析 JSON 错误
  solution: |-
    **排查建议**：

- code: 50070
  enum: LiveInfoIsNull
  content: 服务端返回的 LiveInfo 为空
  solution: |-
    **排查建议**：

- code: 50071
  enum: ConnectionAddStreamFailed
  content: PeerConnection 添加Stream失败
  solution: |-
    **排查建议**：

- code: 50072
  enum: RongRTCCodeIMError
  content: IM 错误
  solution: |-
    **排查建议**：

- code: 50073
  enum: RongRTCTokenError
  content: RTC Token 错误
  solution: |-
    **排查建议**：

- code: 50074
  enum: NOT_JOINED_MAIN_ROOM
  content: 没有加入主房间错误
  solution: |-
    **排查建议**：

- code: 50075
  enum: OTHER_ROOM_ID_CANNOT_THE_MAIN_ROOM
  content: 操作的副房间号码和主房间号码一致错误
  solution: |-
    **排查建议**：

- code: 50076
  enum: CANCELLED_INVITATION_DOES_NOT_EXIST
  content: 取消的跨房间连麦请求不存在
  solution: |-
    **排查建议**：

- code: 50077
  enum: RESPONDING_INVITATION_DOES_NOT_EXIST
  content: 响应的跨房间连麦请求不存在
  solution: |-
    **排查建议**：

- code: 50079
  enum: MCU_PUBLISH_LIST_IS_NULL
  content: 服务端返回的 mcuPublishList 为空
  solution: |-
    **排查建议**：

- code: 50080
  enum: RongRTCCodeCDNCountReachToLimit
  content: cdn 地址配置数量到达上限（最大为5个）
  solution: |-
    **排查建议**：





- code: 50100
  enum: RECONNECT_ERROR
  content: 自动重连异常
  solution: |-
    **排查建议**：


- code: 51000
  enum: HARDWARE_VIDEO_ENCODER_INIT_ERROR
  content: 视频硬编码初始化失败
  solution: |-
    **排查建议**：

- code: 51001
  enum: HARDWARE_VIDEO_ENCODER_ERROR
  content: 视频硬编码过程中失败
  solution: |-
    **排查建议**：

- code: 51002
  enum: HARDWARE_VIDEO_DECODER_INIT_ERROR
  content: 视频硬解码初始化失败
  solution: |-
    **排查建议**：

- code: 51003
  enum: HARDWARE_VIDEO_DECODER_ERROR
  content: 视频硬解码过程中失败
  solution: |-
    **排查建议**：

- code: 51004
  enum: CAMERA_ID_NOT_AVAILABLE
  content: 无效的 CameraId
  solution: |-
    **排查建议**：

- code: 51005
  enum: NO_CAMERA_DEVICE
  content: 没有找到合适的 Camera Device
  solution: |-
    **排查建议**：

- code: 51006
  enum: OPEN_CAMERA_FAILED
  content: 打开摄像头时出现未知错误
  solution: |-
    **排查建议**：

- code: 51007
  enum: RTC_INIT_TIMEOUT
  content: 初始化 RTCLib 超时
  solution: |-
    **排查建议**：

- code: 51008
  enum: OPEN_CAMERA_NO_PERMISSION
  content: 未授予open camera权限
  solution: |-
    **排查建议**：

- code: 51100
  enum: CREATE_ANSWER_FAILURE
  content: 创建 SDP Answer 失败
  solution: |-
    **排查建议**：

- code: 51200
  enum: CAMERA_IS_RELEASED
  content: CameraManager 已被释放
  solution: |-
    **排查建议**：

- code: 51201
  enum: CANCEL_OPERATOR
  content: 取消操作
  solution: |-
    **排查建议**：

- code: 51202
  enum: AUDIO_MANAGER_IS_RELEASED
  content: AudioManager 已被释放
  solution: |-
    **排查建议**：

- code: 51203
  enum: STOP_CAMERA_FAILED
  content: Camera 释放失败
  solution: |-
    **排查建议**：

- code: 51204
  enum: OS_NOT_SUPPORT_FUNCTION
  content: 当前系统版本不支持该功能
  solution: |-
    **排查建议**：

- code: 51205
  enum: START_SCREEN_CAPTURE_FIRST
  content: 必须先启动屏幕捕获
  solution: |-
    **排查建议**：

- code: 51206
  enum: START_SCREEN_CAPTURE_UNKNOWN_MIXING_RULE
  content: 至少设置一种捕获规则
  solution: |-
    **排查建议**：

- code: 54001
  enum: PLAYER_MODULE_NOT_FOUND
  content: 没有集成player SDK
  solution: |-
    **排查建议**：

- code: 54002
  enum: CDN_INFO_VIDEO_INTERRUPT
  content: 服务挂掉，视频中断，一般是视频源异常或者不支持的视频类型
  solution: |-
    **排查建议**：

- code: 54003
  enum: CDN_INNER_ERROR
  content: CDN内部错误
  solution: |-
    **排查建议**：

- code: 54008
  enum: CDN_INFO_VIDEO_INTERRUPT
  content: 数据连接中断 或 音视频源格式不支持
  solution: |-
    **排查建议**：

- code: 54009
  enum: PLAYER_MODULE_INIT_ERROR
  content: 初始化 player 模块异常
  solution: |-
    **排查建议**：

- code: 54010
  enum: SCREEN_SHARE_NO_PERMISSION_ERROR
  content:  获取屏幕共享权限失败
  solution: |-
    **排查建议**：

- code: 54011
  enum: SCREEN_SHARE_ALREADY_CAPTURE
  content: 已经开启录屏功能
  solution: |-
    **排查建议**：

- code: 54012
  enum: START_PRETEST_HARDWARE_FAILED
  content: 开始通话前质量检测失败
  solution: |-
    **排查建议**：

- code: 55001
  enum: ROOM_TYPE_ERROR
  content: 切换角色时房间类型错误，必须为直播房间
  solution: |-
    **排查建议**：

- code: 55002
  enum: SAME_ROLE_ERROR
  content: 切换的角色和当前角色相同错误
  solution: |-
    **排查建议**：

- code: 56000
  enum: SERVER_NOT_CONFIG_WISSE
  content: server没有配置wisse
  solution: |-
    **排查建议**：

- code: 56001
  enum: RTC_PROBE_TEST_NOT_START
  content: RTC 网络探测未开始 
  solution: |-
    **排查建议**：

- code: 56002
  enum: RTC_PROBE_TEST_STARTED
  content:  RTC 网络探测已开始 
  solution: |-
    **排查建议**：

- code: 56003
  enum: RTC_ICE_DISCONNECT
  content: RTC 通道连接断开
  solution: |-
    **排查建议**：

- code: 56004
  enum: RTC_PROBE_INTERRUPT_BY_INTERNAL
  content: RTC 网络探测被中断 
  solution: |-
    **排查建议**：

- code: 56005
  enum: ILLEGAL_OPERATION_FOR_JOINING
  content: 由于当前正处在加入房间过程中,不允许其他操作 
  solution: |-
    **排查建议**：

- code: 56006
  enum: RCRTCCodeSEILengthReachToLimit
  content: SEI 数据长度超出限制 4096 字节
  solution: |-
    **排查建议**：

- code: 56007
  enum: RCRTCCodeSEIChannelNotExist
  content: SEI 通道未建立,请检查是否开启 SEI,或者发布音视频
  solution: |-
    **排查建议**：

- code: 56008
  enum: RCRTCCodeSEISendUnknownError
  content: SEI 发送失败
  solution: |-
    **排查建议**：

- code: 56009
  enum: RCRTCCodeSEISendTimePerSecondReachToLimit
  content: SEI 频率超出限制, 1秒内不超过 30 次
  solution: |-
    **排查建议**：

- code: 57001
  enum: PERMISSION_CAMERA_NOT__GRANTED
  content: 未授予相机权限
  solution: |-
    **排查建议**：

- code: 57002
  enum: PERMISSION_AUDIO_NOT__GRANTED
  content: 未授予麦克风权限
  solution: |-
    **排查建议**：

- code: 57003
  enum: PERMISSION_READ_NOT__GRANTED
  content: 未授予可读权限
  solution: |-
    **排查建议**：

- code: 57004
  enum: PERMISSION_WRITE_NOT__GRANTED
  content: 未授予可写权限
  solution: |-
    **排查建议**：

- code: 57005
  enum: PERMISSION_BLUETOOTH_CONNECT_NOT__GRANTED
  content: 未授予蓝牙连接权限
  solution: |-
    **排查建议**：

- code: 57006
  enum: RCRTCCodeRTCPingSend
  content: rtc ping 错误
  solution: |-
    **排查建议**：

- code: 57007
  enum: INIT_AUDIOTRACK_FAILED
  content: 初始化 AudioTrack 失败
  solution: |-
    **排查建议**：

- code: 57008
  enum: INIT_ADM_FAILED
  content: 初始化 AudioDeviceManager 失败 
  solution: |-
    **排查建议**：
